<?php
$tdataallocations_new_settings = array();
$tdataallocations_new_settings[".searchableFields"] = array();
$tdataallocations_new_settings[".ShortName"] = "allocations_new_settings";
$tdataallocations_new_settings[".OwnerID"] = "";
$tdataallocations_new_settings[".OriginalTable"] = "allocations_new_settings";


$tdataallocations_new_settings[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataallocations_new_settings[".originalPagesByType"] = $tdataallocations_new_settings[".pagesByType"];
$tdataallocations_new_settings[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataallocations_new_settings[".originalPages"] = $tdataallocations_new_settings[".pages"];
$tdataallocations_new_settings[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataallocations_new_settings[".originalDefaultPages"] = $tdataallocations_new_settings[".defaultPages"];

//	field labels
$fieldLabelsallocations_new_settings = array();
$fieldToolTipsallocations_new_settings = array();
$pageTitlesallocations_new_settings = array();
$placeHoldersallocations_new_settings = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsallocations_new_settings["English"] = array();
	$fieldToolTipsallocations_new_settings["English"] = array();
	$placeHoldersallocations_new_settings["English"] = array();
	$pageTitlesallocations_new_settings["English"] = array();
	$fieldLabelsallocations_new_settings["English"]["ID"] = "ID";
	$fieldToolTipsallocations_new_settings["English"]["ID"] = "";
	$placeHoldersallocations_new_settings["English"]["ID"] = "";
	$fieldLabelsallocations_new_settings["English"]["TYPE"] = "TYPE";
	$fieldToolTipsallocations_new_settings["English"]["TYPE"] = "";
	$placeHoldersallocations_new_settings["English"]["TYPE"] = "";
	$fieldLabelsallocations_new_settings["English"]["NAME"] = "NAME";
	$fieldToolTipsallocations_new_settings["English"]["NAME"] = "";
	$placeHoldersallocations_new_settings["English"]["NAME"] = "";
	$fieldLabelsallocations_new_settings["English"]["USERNAME"] = "USERNAME";
	$fieldToolTipsallocations_new_settings["English"]["USERNAME"] = "";
	$placeHoldersallocations_new_settings["English"]["USERNAME"] = "";
	$fieldLabelsallocations_new_settings["English"]["COOKIE"] = "COOKIE";
	$fieldToolTipsallocations_new_settings["English"]["COOKIE"] = "";
	$placeHoldersallocations_new_settings["English"]["COOKIE"] = "";
	$fieldLabelsallocations_new_settings["English"]["SEARCH"] = "SEARCH";
	$fieldToolTipsallocations_new_settings["English"]["SEARCH"] = "";
	$placeHoldersallocations_new_settings["English"]["SEARCH"] = "";
	$fieldLabelsallocations_new_settings["English"]["TABLENAME"] = "TABLENAME";
	$fieldToolTipsallocations_new_settings["English"]["TABLENAME"] = "";
	$placeHoldersallocations_new_settings["English"]["TABLENAME"] = "";
	if (count($fieldToolTipsallocations_new_settings["English"]))
		$tdataallocations_new_settings[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="sinhala")
{
	$fieldLabelsallocations_new_settings["sinhala"] = array();
	$fieldToolTipsallocations_new_settings["sinhala"] = array();
	$placeHoldersallocations_new_settings["sinhala"] = array();
	$pageTitlesallocations_new_settings["sinhala"] = array();
	$fieldLabelsallocations_new_settings["sinhala"]["ID"] = "ID";
	$fieldToolTipsallocations_new_settings["sinhala"]["ID"] = "";
	$placeHoldersallocations_new_settings["sinhala"]["ID"] = "";
	$fieldLabelsallocations_new_settings["sinhala"]["TYPE"] = "මාදිලිය";
	$fieldToolTipsallocations_new_settings["sinhala"]["TYPE"] = "";
	$placeHoldersallocations_new_settings["sinhala"]["TYPE"] = "";
	$fieldLabelsallocations_new_settings["sinhala"]["NAME"] = "නම";
	$fieldToolTipsallocations_new_settings["sinhala"]["NAME"] = "";
	$placeHoldersallocations_new_settings["sinhala"]["NAME"] = "";
	$fieldLabelsallocations_new_settings["sinhala"]["USERNAME"] = "භාවිතා කරන්නගේ නම";
	$fieldToolTipsallocations_new_settings["sinhala"]["USERNAME"] = "";
	$placeHoldersallocations_new_settings["sinhala"]["USERNAME"] = "";
	$fieldLabelsallocations_new_settings["sinhala"]["COOKIE"] = "COOKIE";
	$fieldToolTipsallocations_new_settings["sinhala"]["COOKIE"] = "";
	$placeHoldersallocations_new_settings["sinhala"]["COOKIE"] = "";
	$fieldLabelsallocations_new_settings["sinhala"]["SEARCH"] = "සොයන්න";
	$fieldToolTipsallocations_new_settings["sinhala"]["SEARCH"] = "";
	$placeHoldersallocations_new_settings["sinhala"]["SEARCH"] = "";
	$fieldLabelsallocations_new_settings["sinhala"]["TABLENAME"] = "TABLENAME";
	$fieldToolTipsallocations_new_settings["sinhala"]["TABLENAME"] = "";
	$placeHoldersallocations_new_settings["sinhala"]["TABLENAME"] = "";
	if (count($fieldToolTipsallocations_new_settings["sinhala"]))
		$tdataallocations_new_settings[".isUseToolTips"] = true;
}


	$tdataallocations_new_settings[".NCSearch"] = true;



$tdataallocations_new_settings[".shortTableName"] = "allocations_new_settings";
$tdataallocations_new_settings[".nSecOptions"] = 0;

$tdataallocations_new_settings[".mainTableOwnerID"] = "";
$tdataallocations_new_settings[".entityType"] = 0;
$tdataallocations_new_settings[".connId"] = "allo_at_localhost";


$tdataallocations_new_settings[".strOriginalTableName"] = "allocations_new_settings";

	



$tdataallocations_new_settings[".showAddInPopup"] = false;

$tdataallocations_new_settings[".showEditInPopup"] = false;

$tdataallocations_new_settings[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataallocations_new_settings[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


	$tdataallocations_new_settings[".listAjax"] = true;
//	temporary
$tdataallocations_new_settings[".listAjax"] = false;

	$tdataallocations_new_settings[".audit"] = true;

	$tdataallocations_new_settings[".locking"] = true;


$pages = $tdataallocations_new_settings[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataallocations_new_settings[".edit"] = true;
	$tdataallocations_new_settings[".afterEditAction"] = 1;
	$tdataallocations_new_settings[".closePopupAfterEdit"] = 1;
	$tdataallocations_new_settings[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataallocations_new_settings[".add"] = true;
$tdataallocations_new_settings[".afterAddAction"] = 1;
$tdataallocations_new_settings[".closePopupAfterAdd"] = 1;
$tdataallocations_new_settings[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataallocations_new_settings[".list"] = true;
}



$tdataallocations_new_settings[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataallocations_new_settings[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataallocations_new_settings[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataallocations_new_settings[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataallocations_new_settings[".printFriendly"] = true;
}



$tdataallocations_new_settings[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataallocations_new_settings[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataallocations_new_settings[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataallocations_new_settings[".isUseAjaxSuggest"] = true;

$tdataallocations_new_settings[".rowHighlite"] = true;



																								

$tdataallocations_new_settings[".ajaxCodeSnippetAdded"] = false;

$tdataallocations_new_settings[".buttonsAdded"] = false;

$tdataallocations_new_settings[".addPageEvents"] = false;

// use timepicker for search panel
$tdataallocations_new_settings[".isUseTimeForSearch"] = false;


$tdataallocations_new_settings[".badgeColor"] = "4169E1";


$tdataallocations_new_settings[".allSearchFields"] = array();
$tdataallocations_new_settings[".filterFields"] = array();
$tdataallocations_new_settings[".requiredSearchFields"] = array();

$tdataallocations_new_settings[".googleLikeFields"] = array();
$tdataallocations_new_settings[".googleLikeFields"][] = "ID";
$tdataallocations_new_settings[".googleLikeFields"][] = "TYPE";
$tdataallocations_new_settings[".googleLikeFields"][] = "NAME";
$tdataallocations_new_settings[".googleLikeFields"][] = "USERNAME";
$tdataallocations_new_settings[".googleLikeFields"][] = "COOKIE";
$tdataallocations_new_settings[".googleLikeFields"][] = "SEARCH";
$tdataallocations_new_settings[".googleLikeFields"][] = "TABLENAME";



$tdataallocations_new_settings[".tableType"] = "list";

$tdataallocations_new_settings[".printerPageOrientation"] = 0;
$tdataallocations_new_settings[".nPrinterPageScale"] = 100;

$tdataallocations_new_settings[".nPrinterSplitRecords"] = 40;

$tdataallocations_new_settings[".geocodingEnabled"] = false;










$tdataallocations_new_settings[".pageSize"] = 20;

$tdataallocations_new_settings[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataallocations_new_settings[".strOrderBy"] = $tstrOrderBy;

$tdataallocations_new_settings[".orderindexes"] = array();


$tdataallocations_new_settings[".sqlHead"] = "SELECT ID,  	`TYPE`,  	NAME,  	USERNAME,  	COOKIE,  	`SEARCH`,  	TABLENAME";
$tdataallocations_new_settings[".sqlFrom"] = "FROM allocations_new_settings";
$tdataallocations_new_settings[".sqlWhereExpr"] = "";
$tdataallocations_new_settings[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataallocations_new_settings[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataallocations_new_settings[".arrGroupsPerPage"] = $arrGPP;

$tdataallocations_new_settings[".highlightSearchResults"] = true;

$tableKeysallocations_new_settings = array();
$tableKeysallocations_new_settings[] = "ID";
$tdataallocations_new_settings[".Keys"] = $tableKeysallocations_new_settings;


$tdataallocations_new_settings[".hideMobileList"] = array();




//	ID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "ID";
	$fdata["GoodName"] = "ID";
	$fdata["ownerTable"] = "allocations_new_settings";
	$fdata["Label"] = GetFieldLabel("allocations_new_settings","ID");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "ID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocations_new_settings["ID"] = $fdata;
		$tdataallocations_new_settings[".searchableFields"][] = "ID";
//	TYPE
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "TYPE";
	$fdata["GoodName"] = "TYPE";
	$fdata["ownerTable"] = "allocations_new_settings";
	$fdata["Label"] = GetFieldLabel("allocations_new_settings","TYPE");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "TYPE";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`TYPE`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocations_new_settings["TYPE"] = $fdata;
		$tdataallocations_new_settings[".searchableFields"][] = "TYPE";
//	NAME
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "NAME";
	$fdata["GoodName"] = "NAME";
	$fdata["ownerTable"] = "allocations_new_settings";
	$fdata["Label"] = GetFieldLabel("allocations_new_settings","NAME");
	$fdata["FieldType"] = 201;

	
	
	
			

		$fdata["strField"] = "NAME";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "NAME";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocations_new_settings["NAME"] = $fdata;
		$tdataallocations_new_settings[".searchableFields"][] = "NAME";
//	USERNAME
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "USERNAME";
	$fdata["GoodName"] = "USERNAME";
	$fdata["ownerTable"] = "allocations_new_settings";
	$fdata["Label"] = GetFieldLabel("allocations_new_settings","USERNAME");
	$fdata["FieldType"] = 201;

	
	
	
			

		$fdata["strField"] = "USERNAME";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "USERNAME";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocations_new_settings["USERNAME"] = $fdata;
		$tdataallocations_new_settings[".searchableFields"][] = "USERNAME";
//	COOKIE
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "COOKIE";
	$fdata["GoodName"] = "COOKIE";
	$fdata["ownerTable"] = "allocations_new_settings";
	$fdata["Label"] = GetFieldLabel("allocations_new_settings","COOKIE");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "COOKIE";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "COOKIE";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=500";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocations_new_settings["COOKIE"] = $fdata;
		$tdataallocations_new_settings[".searchableFields"][] = "COOKIE";
//	SEARCH
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "SEARCH";
	$fdata["GoodName"] = "SEARCH";
	$fdata["ownerTable"] = "allocations_new_settings";
	$fdata["Label"] = GetFieldLabel("allocations_new_settings","SEARCH");
	$fdata["FieldType"] = 201;

	
	
	
			

		$fdata["strField"] = "SEARCH";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`SEARCH`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocations_new_settings["SEARCH"] = $fdata;
		$tdataallocations_new_settings[".searchableFields"][] = "SEARCH";
//	TABLENAME
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "TABLENAME";
	$fdata["GoodName"] = "TABLENAME";
	$fdata["ownerTable"] = "allocations_new_settings";
	$fdata["Label"] = GetFieldLabel("allocations_new_settings","TABLENAME");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "TABLENAME";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "TABLENAME";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=300";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocations_new_settings["TABLENAME"] = $fdata;
		$tdataallocations_new_settings[".searchableFields"][] = "TABLENAME";


$tables_data["allocations_new_settings"]=&$tdataallocations_new_settings;
$field_labels["allocations_new_settings"] = &$fieldLabelsallocations_new_settings;
$fieldToolTips["allocations_new_settings"] = &$fieldToolTipsallocations_new_settings;
$placeHolders["allocations_new_settings"] = &$placeHoldersallocations_new_settings;
$page_titles["allocations_new_settings"] = &$pageTitlesallocations_new_settings;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["allocations_new_settings"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["allocations_new_settings"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_allocations_new_settings()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "ID,  	`TYPE`,  	NAME,  	USERNAME,  	COOKIE,  	`SEARCH`,  	TABLENAME";
$proto0["m_strFrom"] = "FROM allocations_new_settings";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "ID",
	"m_strTable" => "allocations_new_settings",
	"m_srcTableName" => "allocations_new_settings"
));

$proto6["m_sql"] = "ID";
$proto6["m_srcTableName"] = "allocations_new_settings";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "TYPE",
	"m_strTable" => "allocations_new_settings",
	"m_srcTableName" => "allocations_new_settings"
));

$proto8["m_sql"] = "`TYPE`";
$proto8["m_srcTableName"] = "allocations_new_settings";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "NAME",
	"m_strTable" => "allocations_new_settings",
	"m_srcTableName" => "allocations_new_settings"
));

$proto10["m_sql"] = "NAME";
$proto10["m_srcTableName"] = "allocations_new_settings";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "USERNAME",
	"m_strTable" => "allocations_new_settings",
	"m_srcTableName" => "allocations_new_settings"
));

$proto12["m_sql"] = "USERNAME";
$proto12["m_srcTableName"] = "allocations_new_settings";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "COOKIE",
	"m_strTable" => "allocations_new_settings",
	"m_srcTableName" => "allocations_new_settings"
));

$proto14["m_sql"] = "COOKIE";
$proto14["m_srcTableName"] = "allocations_new_settings";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "SEARCH",
	"m_strTable" => "allocations_new_settings",
	"m_srcTableName" => "allocations_new_settings"
));

$proto16["m_sql"] = "`SEARCH`";
$proto16["m_srcTableName"] = "allocations_new_settings";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "TABLENAME",
	"m_strTable" => "allocations_new_settings",
	"m_srcTableName" => "allocations_new_settings"
));

$proto18["m_sql"] = "TABLENAME";
$proto18["m_srcTableName"] = "allocations_new_settings";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto20=array();
$proto20["m_link"] = "SQLL_MAIN";
			$proto21=array();
$proto21["m_strName"] = "allocations_new_settings";
$proto21["m_srcTableName"] = "allocations_new_settings";
$proto21["m_columns"] = array();
$proto21["m_columns"][] = "ID";
$proto21["m_columns"][] = "TYPE";
$proto21["m_columns"][] = "NAME";
$proto21["m_columns"][] = "USERNAME";
$proto21["m_columns"][] = "COOKIE";
$proto21["m_columns"][] = "SEARCH";
$proto21["m_columns"][] = "TABLENAME";
$obj = new SQLTable($proto21);

$proto20["m_table"] = $obj;
$proto20["m_sql"] = "allocations_new_settings";
$proto20["m_alias"] = "";
$proto20["m_srcTableName"] = "allocations_new_settings";
$proto22=array();
$proto22["m_sql"] = "";
$proto22["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto22["m_column"]=$obj;
$proto22["m_contained"] = array();
$proto22["m_strCase"] = "";
$proto22["m_havingmode"] = false;
$proto22["m_inBrackets"] = false;
$proto22["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto22);

$proto20["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto20);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="allocations_new_settings";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_allocations_new_settings = createSqlQuery_allocations_new_settings();


	
		;

							

$tdataallocations_new_settings[".sqlquery"] = $queryData_allocations_new_settings;



$tableEvents["allocations_new_settings"] = new eventsBase;
$tdataallocations_new_settings[".hasEvents"] = false;

?>